Mailinglist Archive: opensuse-factory (533 mails)

< Previous Next >
Re: [opensuse-factory] zypper segfault on M5 on 2 x86_64 boxes tested so far (use libzypp-7.0.0)
  • From: "Hans-Peter Holler" <holler@xxxxxxxxxxx>
  • Date: Wed, 14 Apr 2010 20:41:36 +0200
  • Message-id: <201004142041.36708.holler@xxxxxxxxxxx>
Am Mittwoch 14 April 2010 schrieb Michael Andres:
On Tuesday 13 April 2010 10:38:09 Michael Andres wrote:
On Tuesday 13 April 2010 01:39:41 Sid Boyce wrote:
After running zypper ref this morning, further information.

Factory updated from Boost version 1.39.0 to 1.42.0 on friday(?). I
suspect this being the cause. Now valgrind complains, and also a buch
of testcases fail...

# rpm -q boost
boost-1.36.0-2.18.x86_64

Yes, but the installed version does not matter here. Most of the boost
libraries are header-only. This means the code is inlined at compiletime,
and there is no additional shared library used at runtime.

So the boost version that was used to compile libzypp is the important
one.

JFYI: I changed libzypp-7.0 to be compiled with -fno-strict-aliasing. This
should help until the issue is finaly fixed. Should be available in
openSUSE:Factory soon.

Please don't forget
yast2-ncurses-pkg yast2-pkg-bindings yast2-qt-pkg as they depend on
libzypp.so.

BTW:
installed
libqdialogsolver1-1.3.0-340.8.x86_64.rpm
libzypp-7.0.0-1.1.x86_64.rpm
satsolver-tools-0.14.17-5.1.x86_64.rpm
zypper-1.4.1-4.11.x86_64.rpm
from
http://download.opensuse.org/repositories/zypp:/Head/openSUSE_Factory/x86_64/

with these a zypper ref works :-)
the mentioned yast modules don't :-(

Hans-Peter
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-factory+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups